/{organizationId}/{mandateId}/crm/applications/forms/{applicationFormId}Update form
Updates an application form
Required permissions:
mandate.read
applicationForm.edit
Path Parameters
organizationIdstringrequired mandateIdstringrequired applicationFormIdstringrequired Request Body required
Content-Type: application/json
namestringrequired minLength: 1
maxLength: 64
maxItems: 20
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/applications/forms/{applicationFormId}' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"form": {
"schema": {
"groups": [
{
"id": "string",
"label": "string",
"fields": [
{
"id": "string",
"type": "placeholder",
"name": "string"
}
]
}
]
},
"pageMode": "segments",
"introText": "string"
},
"submit": {
"submitCaption": "string",
"useCaptcha": true,
"denyApplyWithExistingEmail": true,
"submittedText": "string",
"navigateUrl": "string",
"navigateWaitSeconds": 0
},
"confirmation": {
"confirmationMail": {
"subject": "string",
"message": "string"
},
"mustConfirmEmail": true,
"expressaTemplate": "000000000000000000000001"
},
"notificationUserIds": [
"string"
]
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}